Bug 23115 - Totals are unclear when a credit is involved on the OPAC 'Fines and charges' screen
Summary: Totals are unclear when a credit is involved on the OPAC 'Fines and charges' ...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 23105
  Show dependency treegraph
 
Reported: 2019-06-13 09:55 UTC by Martin Renvoize
Modified: 2019-07-24 07:01 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Proposal (153.90 KB, image/png)
2019-06-13 10:40 UTC, Martin Renvoize
Details
Bug 23115: Tweak display of totals on 'Fines and charges' page (5.60 KB, patch)
2019-06-13 10:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23115: Tweak display of totals on 'Fines and charges' page (6.96 KB, patch)
2019-06-14 15:13 UTC, Martin Renvoize
Details | Diff | Splinter Review
Proposal 2 (184.41 KB, image/png)
2019-06-14 15:16 UTC, Martin Renvoize
Details
Bug 23115: Tweak display of totals on 'Fines and charges' page (7.01 KB, patch)
2019-06-14 18:11 UTC, Nadine Pierre
Details | Diff | Splinter Review
Bug 23115: Tweak display of totals on 'Fines and charges' page (7.07 KB, patch)
2019-06-14 18:24 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23115: Tweak display of totals on 'Fines and charges' page (7.09 KB, patch)
2019-06-21 16:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23115: (follow-up) Move switches to a TT block (5.57 KB, patch)
2019-06-21 16:32 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23115: (QA follow-up) Address QA tools complaints (1.75 KB, patch)
2019-06-21 16:32 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-06-13 09:55:08 UTC
We currently display the unapplied credit lines above the 'Total due' line on the opac 'Fines and charges' page and then we include the un-applied credit amounts in the total due.

This is confusing to the end user, especially if they then select all to pay as an online payment, as the 'Amount to pay' will be more than the 'Total due'
Comment 1 Martin Renvoize 2019-06-13 10:40:37 UTC
Created attachment 90564 [details]
Proposal
Comment 2 Martin Renvoize 2019-06-13 10:45:02 UTC
Created attachment 90567 [details] [review]
Bug 23115: Tweak display of totals on 'Fines and charges' page

This patch tweaks the display of totals on the OPAC 'Fines and charges'
page to clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the 'Fines and charges' page before applying the patch
3) Look at the 'Fines and charges' page after applying the patch
4) Varify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2019-06-14 15:13:07 UTC
Created attachment 90604 [details] [review]
Bug 23115: Tweak display of totals on 'Fines and charges' page

This patch tweaks the display of totals on the OPAC 'Fines and charges'
page to clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the 'Fines and charges' page before applying the patch
3) Look at the 'Fines and charges' page after applying the patch
4) Varify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-06-14 15:16:00 UTC
Created attachment 90605 [details]
Proposal 2
Comment 5 Nadine Pierre 2019-06-14 18:11:46 UTC
Created attachment 90616 [details] [review]
Bug 23115: Tweak display of totals on 'Fines and charges' page

This patch tweaks the display of totals on the OPAC 'Fines and charges'
page to clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the 'Fines and charges' page before applying the patch
3) Look at the 'Fines and charges' page after applying the patch
4) Varify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Comment 6 Maryse Simard 2019-06-14 18:24:28 UTC
Created attachment 90622 [details] [review]
Bug 23115: Tweak display of totals on 'Fines and charges' page

This patch tweaks the display of totals on the OPAC 'Fines and charges'
page to clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the 'Fines and charges' page before applying the patch
3) Look at the 'Fines and charges' page after applying the patch
4) Varify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 7 Nick Clemens 2019-06-21 16:32:19 UTC
Created attachment 90923 [details] [review]
Bug 23115: Tweak display of totals on 'Fines and charges' page

This patch tweaks the display of totals on the OPAC 'Fines and charges'
page to clarify between the totals before and after applying credits.

Test Plan:
1) Add some debts and credits to a patrons account
2) Look at the 'Fines and charges' page before applying the patch
3) Look at the 'Fines and charges' page after applying the patch
4) Varify the new layout is an improvment or not

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Nadine Pierre <nadine.pierre@inLibro.com>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 8 Nick Clemens 2019-06-21 16:32:22 UTC
Created attachment 90924 [details] [review]
Bug 23115: (follow-up) Move switches to a TT block
Comment 9 Nick Clemens 2019-06-21 16:32:25 UTC
Created attachment 90925 [details] [review]
Bug 23115: (QA follow-up) Address QA tools complaints
Comment 10 Nick Clemens 2019-06-21 16:32:48 UTC
RM check my followups or push back to SO for another QA round :-)
Comment 11 Martin Renvoize 2019-06-24 09:13:26 UTC
Lovely bit of code golf there, thanks Nick :)
Comment 12 Martin Renvoize 2019-06-24 13:50:53 UTC
Nice work!

Pushed to master for 19.11.00
Comment 13 Martin Renvoize 2019-06-24 14:48:23 UTC
Nice work!

Pushed to master for 19.11.00
Comment 14 Fridolin SOMERS 2019-07-24 07:01:28 UTC
Pushed to 19.05.x for 19.05.03